Forums | developer.brewmp.com Forums | developer.brewmp.com

Developer

Forums

Hello All,

I've got a serious Problem...

I use Visual Studio 2008 as IDE, and using BREW MP....
for ARM compiler, i use RVCT 4.0 [My Company bought it $6000;)]..

This is the first time for me using RVCT and BREW MP...

the questtion is:
1. Why only RVCT 3.0 that exist in BREW MP Compiler Option...i can not find RVCT 4.0 ??:(

2. When i choose RVCT 3.0 in BREW MP Compiler Option Plugin, and then i click "Build", i got errors like this....
cmd.exe /C cs-make.exe "V=RVCT30arm9_Debug" install "MOD_INSTALL_DIR=../" "MIF_INSTALL_DIR=../" "BREWMPSDK=C:\PROGRA~1\Qualcomm\BREWMP~1\PLATFO~1\102~1.222\platform" "BREWMP_PLATFORM=C:\Program Files\Qualcomm\Brew MP SDK\Platforms\1.0.2.222\platform" >"c:\Users\Pavilion\Documents\Visual Studio 2008\Projects\flexi_adds\flexi_adds\make.log" 2>&1
C:\PROGRA~1\Qualcomm\BREWMP~1\PLATFO~1\102~1.222\make.d/rules.min:522: I could not find your RVCT3.0 toolchain under C:/Program Files/ARM.
C:\PROGRA~1\Qualcomm\BREWMP~1\PLATFO~1\102~1.222\make.d/rules.min:522: *** Please specify RVCT_DIR for the toolchain root directory. Stop.
------ Build failed: Project: flexi_adds ------
:(

So, please help me....:confused:

Thank you all,

I don't think RVCT4 is Brew compatible. Try RVCT 3.0 for Brew.

I don't think RVCT4 is Brew compatible. Try RVCT 3.0 for Brew.

Thanks Mr.Adhudase,
Ok, I have tried using RVCT 3.0, BREW MP, Visual Studio 2005.
I would like to implement the MOD file ARM9 Device.
But, when i tried to build it, it got error:
it says parameter "--CPU 5TEJ" is wrong....
then, i change the parameter into --CPU 6, it went wrong too..:confused:
So, What happened ??
is that true that BREW MP is not compatible with CPU ARM9 ?
I really need your help....

Thanks Mr.Adhudase,
Ok, I have tried using RVCT 3.0, BREW MP, Visual Studio 2005.
I would like to implement the MOD file ARM9 Device.
But, when i tried to build it, it got error:
it says parameter "--CPU 5TEJ" is wrong....
then, i change the parameter into --CPU 6, it went wrong too..:confused:
So, What happened ??
is that true that BREW MP is not compatible with CPU ARM9 ?
I really need your help....

It is compatible with ARM9. See https://brewmobileplatform.qualcomm.com/devnet/prod/resources/devEx/libr... for how you can select target in visual studio plug-in.

It is compatible with ARM9. See https://brewmobileplatform.qualcomm.com/devnet/prod/resources/devEx/libr... for how you can select target in visual studio plug-in.